Doomsday Engine - Bug #1820

[MP] Heretic Hell Staff rain colors don't match player colors
2014-06-11 22:48 - vermil

Status: Closed Start date: 2014-06-11
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Regression

Target version: 1.15

Description

The Hell Staff rain is one player off what it should be.
For instance, player 1 is incorrectly using the Hell Staff rain colour for player 2 and so on.

| imagine this was an oversight when the shell occupied the player 1 slot (i.e everything else hardcoded to player number was shifted
accordingly, but the Hell Staff rain was missed).

Associated revisions

Revision 3dc45e10 - 2015-05-09 11:03 - skyjake

Heretic|Multiplayer|Fixed: Incorrect Hell Staff rain colors

The rain color matches the player color in multiplayer games.
IssuelD #1820

Revision aa5e2833 - 2015-05-09 11:03 - skyjake
Heretic|Multiplayer|Fixed: Incorrect Hell Staff rain colors

The rain color matches the player color in multiplayer games.
History

#1 - 2015-01-15 18:31 - vermil

- Tags set to heretic

In the original game, the four player skin and rain colours were hardcoded to player numbers. The colours of the rain were also clearly deliberately
chosen to match the skin colour.

Given Dday has un-hardcoded the former, | would like to suggest that the later be un-hardcoded as well?
|.e that the rain colour is no longer tied to player number, rather the skin colour each player chooses.

To be cheeky, | also figure this would have to be done anyway, with regards to the RFE | made in the past about RGB sliders to allow players to pick
any colour they want, rather than just having the four original colours to choose from (though | suppose the four colour options would only really be an
issue in a 5+player Heretic game where all the players are spamming Hell Staff rain, as at least two players would end up with, presumably, the same
rain colour, if there are even rain colours defined for players 5-16 in Dday).

#2 - 2015-01-16 12:22 - skyjake

- Tags changed from Heretic to Heretic, Multiplayer

#3 - 2015-01-16 12:22 - skyjake

- Category set to Regression

#4 - 2015-05-09 08:51 - skyjake
- Subject changed from [Heretic] Hell Staff rain in MP to [MP] Heretic Hell Staff rain colors are incorrect
- Status changed from New to In Progress

- Assignee set to skyjake
#5 - 2015-05-09 11:06 - skyjake

- Subject changed from [MP] Heretic Hell Staff rain colors are incorrect to [MP] Heretic Hell Staff rain colors don't match player colors
- Status changed from In Progress to Closed

- Target version setto 1.15

- % Done changed from 0 to 100

The rain colors now match the colors chosen by the players.

2024-04-20 22


http://www.tcpdf.org

